gtk-0.12.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Graphics.UI.Gtk.Layout.HPaned

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A container with two panes arranged horizontally

Synopsis

- data HPaned
- class PanedClass o => HPanedClass o
- castToHPaned :: GObjectClass obj => obj -> HPaned
- gTypeHPaned :: GType
- toHPaned :: HPanedClass o => o -> HPaned
- hPanedNew :: IO HPaned

# Detail

The HPaned widget is a container widget with two children arranged horizontally. The division between the two panes is adjustable by the user by dragging a handle. See `Paned` for details.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Container
     | +----Paned
     | +----HPaned

# Types

data HPaned

Instances

Eq HPaned |
Ord HPaned |
GObjectClass HPaned |
HPanedClass HPaned |
PanedClass HPaned |
ContainerClass HPaned |
WidgetClass HPaned |
ObjectClass HPaned |

class PanedClass o => HPanedClass o

Instances

HPanedClass HPaned |

castToHPaned :: GObjectClass obj => obj -> HPaned

gTypeHPaned :: GType

toHPaned :: HPanedClass o => o -> HPaned

# Constructors

hPanedNew :: IO HPaned

Create a new `HPaned`